#! /bin/sh

#   Copyright (c) 2001-2002 The Apache Software Foundation.  All rights
#   reserved.
#
#   Adapted for ALT Linux by Mikhail Zabaluev <mhz@altlinux.org>

# Source functions library
if [ -f /usr/lib/java-common/java-functions ] ; then
  . /usr/lib/java-common/java-functions
fi

# load system-wide ant configuration
if [ -f /etc/ant.conf ] ; then 
  . /etc/ant.conf
fi

# load user ant configuration
if [ -f "$HOME/.antrc" ] ; then 
  . "$HOME/.antrc"
fi

# provide default values for people who don't use RPMs
if [ -z "$usejikes" ] ; then
  usejikes=false;
fi

# set ANT_HOME and ANT_LIB locations
if [ -z "$ANT_HOME" ] ; then
  ANT_HOME=/usr/share/ant
fi

AddToClasspath "$ANT_HOME"/lib/*.jar

AddToClasspath \
    /usr/share/java/jaxp_parser_impl.jar \
    /usr/share/java/xml-commons-apis.jar

if [ -z "$JAVA_HOME" ] ; then
    if [ -d /usr/lib/jdk ] ; then
	JAVA_HOME=/usr/lib/jdk
	export JAVA_HOME
    fi
fi

if [ -n "$JAVA_HOME" ] ; then

  # Java 2 environment
  AddToClasspath "$JAVA_HOME/lib/tools.jar"

  # Java 1 environment
  AddToClasspath  "$JAVA_HOME/lib/classes.zip"

else
  echo "Warning: JAVA_HOME environment variable is not set."
  echo "  If build fails because sun.* classes could not be found"
  echo "  you will need to set the JAVA_HOME environment variable"
  echo "  to the installation directory of java."
fi

# Allow Jikes support (off by default)
if $usejikes; then
  ANT_OPTS="$ANT_OPTS -Dbuild.compiler=jikes"
  if [ -n "$JIKESPATH" ]; then
    ANT_OPTS="$ANT_OPTS -Djikes.class.path=$JIKESPATH"
  fi
fi

exec java -Dant.home="${ANT_HOME}" $ANT_OPTS org.apache.tools.ant.Main \
    $ANT_ARGS "$@"
