Name: ant
Version: 1.5.4
Release: alt1

Summary: Platform-independent build tool for Java
Group: Development/Java
License: Apache
URL: http://ant.apache.org/

%define ant_home	%_datadir/ant
%define javadir		%_datadir/java
%define javadocdir	%_datadir/javadoc
%define docdir		%_docdir/%name-%version

Requires: java-common jaxp_parser_impl xml-commons-apis

BuildArch: noarch
BuildRequires: j2se-devel >= 1.3
BuildRequires: jaxp_parser_impl xml-commons-apis

Source: http://www.apache.org/dist/ant/source/apache-%name-%version-src.tar.bz2
Source1: apache-%name-%version-optional.jar
Source2: ant.sh
Source3: ant.conf

%description
Ant is a Java based build tool.
Ant is used to build Jakarta & XML projects by the Apache Group.

%package optional
Summary: Optional tasks for Ant
Group: Development/Java
Requires: %name = %version-%release

%description optional
Optional build tasks for ant, a platform-independent build tool for Java.

%package scripts
Summary:       Additional scripts for %{name}
Group:         Development/Other
Requires:      %name = %version-%release

%description scripts
Additional Perl and Python scripts for ant,
a platform-independent build tool for Java.

%package manual
Summary: Documentation for ant
Group: Development/Java
Requires: %name = %version-%release
AutoReqProv: no

%description manual
Documentation for ant, a platform-independent build tool for Java.

%package javadoc
Summary: Javadoc for ant
Group: Development/Java
AutoReqProv: no

%description javadoc
Javadoc-generated documentation for ant, a platform-independent
build tool for Java.

%package task-reference
Summary: Ant task reference in PDF format
Group: Books/Computer books

%description task-reference
The Ant task reference in the PDF format.

%package style-xsl
Summary: XSL stylesheets for Ant
Group: Text tools

%description style-xsl
Useful XSL stylesheets included in the Ant distribution.

%prep
%setup -q -n apache-%name-%version
find docs -name '*.orig' -print | xargs rm -f
perl -pi -e 's/\r$//' src/script/*.py

%build
if [ -z "$JAVA_HOME" -a -f "%_libdir/jdk/lib/tools.jar" ]; then
	JAVA_HOME=%_libdir/jdk
	export JAVA_HOME
fi
CLASSPATH=%javadir/jaxp_parser_impl.jar:%javadir/xml-commons-apis.jar
export CLASSPATH

sh build.sh -Ddist.dir=dist dist

%install
mkdir -p $RPM_BUILD_ROOT%_bindir
mkdir -p $RPM_BUILD_ROOT%_sysconfdir
install -d -m755 $RPM_BUILD_ROOT%ant_home
install -d -m755 $RPM_BUILD_ROOT%ant_home/etc
install -d -m755 $RPM_BUILD_ROOT%javadir/%name
install -d -m755 $RPM_BUILD_ROOT%docdir

# java archives
install -p -m 644 dist/lib/ant.jar $RPM_BUILD_ROOT%javadir/%name/
install -p -m 644 %SOURCE1 $RPM_BUILD_ROOT%javadir/%name/optional.jar

# scripts
install -p -m 755 %SOURCE2 $RPM_BUILD_ROOT%_bindir/ant
install -p -m 755 src/script/antRun $RPM_BUILD_ROOT%_bindir/
install -p -m 755 src/script/*.p[ly] $RPM_BUILD_ROOT%_bindir/

# configuration
install -p -m 644 %SOURCE3 $RPM_BUILD_ROOT%_sysconfdir/ant.conf

# stylesheets
install -p -m 644 dist/etc/* $RPM_BUILD_ROOT%ant_home/etc/

# documentation
install -p -m 644 LICENSE README WHATSNEW welcome.html $RPM_BUILD_ROOT%docdir/
cp -a dist/docs/* $RPM_BUILD_ROOT%docdir/
mkdir -p $RPM_BUILD_ROOT%javadocdir
mv $RPM_BUILD_ROOT%docdir/manual/api $RPM_BUILD_ROOT%javadocdir/%name
find $RPM_BUILD_ROOT%docdir/manual -type d -print |\
    sed -e "s|$RPM_BUILD_ROOT|%%dir |" >manual.list
find $RPM_BUILD_ROOT%docdir/manual -type f -print |\
    sed -e "s|$RPM_BUILD_ROOT||" >>manual.list

# compatibility links
ln -snf $(relative %javadir/%name %ant_home/) \
    $RPM_BUILD_ROOT%ant_home/lib
ln -snf $(relative %javadocdir/%name %docdir/manual/) \
    $RPM_BUILD_ROOT%docdir/manual/api

%files
%dir %docdir
%docdir/LICENSE
%docdir/README
%docdir/WHATSNEW
%docdir/*.html
%docdir/ant2
%docdir/images
%_bindir/ant
%_bindir/antRun
%_sysconfdir/*
%dir %ant_home
%dir %ant_home/etc
%ant_home/lib
%javadir/%name/ant.jar

%files optional
%javadir/%name/optional.jar

%files scripts
%{_bindir}/*.pl
%{_bindir}/*.py

%files manual -f manual.list

%files javadoc
%dir %docdir
%dir %docdir/manual
%docdir/manual/api
%doc %javadocdir/%name

%files task-reference
%dir %docdir
%docdir/*.pdf

%files style-xsl
%ant_home/etc/*.xsl

%changelog
* Sun Aug 17 2003 Mikhail Zabaluev <mhz@altlinux.ru> 1.5.4-alt1
- 1.5.4

* Mon Mar 10 2003 Mikhail Zabaluev <mhz@altlinux.ru> 1.5.2-alt1
- 1.5.2
- Synced with 1.5.2-2jpp: added scripts subpackage, changed URL

* Mon Nov 18 2002 Mikhail Zabaluev <mhz@altlinux.ru> 1.5.1-alt1
- 1.5.1
- refurbished for the new java packaging system derived from JPackage
- docs separated to main package stuff (introductory),
  manual, javadoc and task-reference (a bulky PDF document)
- style-xsl subpackage

* Wed May 29 2002 Mikhail Zabaluev <mhz@altlinux.ru> 1.4.1-alt3
- both ant script and build search /usr/lib for JDK
- build compatible with jdk-1.3.1 package

* Sun May 19 2002 Mikhail Zabaluev <mhz@altlinux.ru> 1.4.1-alt2
- ant-optional subpackage
- build probes known JDK locations when JAVA_HOME is not set

* Thu Apr 25 2002 Mikhail Zabaluev <mhz@altlinux.ru> 1.4.1-alt1
- 1.4.1
- Borrowed a start script from Henri once more, and cleaned it up

* Tue May 01 2001 Mikhail Zabaluev <mhz@altlinux.ru> 1.3-alt1
- Adapted for ALTLinux
- Renamed ant-manual back to ant-doc
- Returned jars back into ant tree for the sake of tidyness
- Revision 0.5 of ant.sh
- Set group to Development/Java

* Thu Mar 23 2001 Henri Gomez <hgomez@slib.fr>
- ant-1.3 RPM Release 2
- rebuild with updated ant-optional.jar, the previously
  used was missing some classes.

* Mon Mar 05 2001 Henri Gomez <hgomez@slib.fr>
- ant 1.3
- build CLASSPATH=/usr/share/java/bsf.jar:/usr/share/java/jakarta-regexp.jar:/usr/share/java/xalan.jar:/usr/share/java/xerces.jar

* Mon Feb 27 2001 Henri Gomez <hgomez@slib.fr>
- ant-1.3b2 release 3
- fix manual permissions

* Mon Feb 26 2001 Henri Gomez <hgomez@slib.fr>
- ant-1.3b2 release 2
- fix /usr/local/bin/perl references

* Fri Feb 09 2001 Henri Gomez <hgomez@slib.fr>
- ant-1.3b1
- build CLASSPATH=/usr/share/java/bsf.jar:/usr/share/java/jakarta-regexp.jar:/usr/share/java/xalan.jar:/usr/share/java/xerces.jar

* Wed Oct 25 2000 Henri Gomez <hgomez@slib.fr>
- ant-1.2 RPM Release 2
- renamed ant-doc to ant-manual (follow apache RPM naming)
- RH 7.0 changes location of docdir and DocumentRoot. The spec file is modified
  to place manual in right place when rebuilded under RH 6.x or RH 7.0
- compiled on Redhat 6.1 box plus updates with rpm-3.0.5

* Tue Oct 24 2000 Henri Gomez <hgomez@slib.fr>
- ant-1.2
- added optional.jar
- read WHATSNEW for changes in ant 1.2

* Fri Oct 20 2000 Henri Gomez <hgomez@slib.fr>
- ant-1.2rc
- added optional.jar (from jarkata site)
- source file is renamed from jakarta-ant-src.tar.gz to
  jakarta-ant-src-v1.2rc.tar.gz to allow multiple source file
  in my RPM source dir
- build CLASSPATH=

* Mon Oct 16 2000 Henri Gomez <hgomez@slib.fr>
- ant-1.1 RPM Release 5
- follow Debian policy about java stuff, libs in /usr/share/java,
  executable in /usr/bin
- prepare transition to RH 7.0 new document root (/var/www)
- build CLASSPATH=/usr/share/java/bsf.jar:/usr/share/java/xalan.jar

* Fri Oct 06 2000 Henri Gomez <hgomez@slib.fr>
- v1.1-4
- tomcat build failed if ANT_HOME is set to /usr.
  ant shell script set ANT_HOME to /usr/share/ant
  to fix 'antRun not found' and allow tomcat build ;-?!
- reorganized group packages for javas RPM :
  Development/Tools (ant)
  Developement/Libraries(xalan, xerces)
  Documentation (all ;-)
- build CLASSPATH=/usr/lib/java/bsf.jar:/usr/lib/java/bsfengines.jar:/usr/lib/java/xalan.jar

* Fri Sep 29 2000 Henri Gomez <hgomez@slib.fr>
- v1.1-3- jars are now installed on /usr/lib/java since /opt is
  mounted read-only on many systems <summer@os2.ami.com.au>
- correct bad URL in apidocs
- try to use jikes if present
- rebuilded with IBM JDK 1.3.0 (cx130-20000815)

* Fri Jul 21 2000 Henri Gomez <hgomez@slib.fr>
- v1.1-2
- Rebuild rpm with IBM JDK 1.3 (cx130-20000623) to allow ant
  work under both JDK 1.1.8 and JDK 1.3.
- minor spec file correction (patch ant after install)

* Thu Jul 20 2000 Henri Gomez <hgomez@slib.fr>
- v1.1 final release
- ant need now a JAXP compatible parser. Sun's jaxp 1.0.1 are
  allready included in .tar.gz and so we will use and export
  these jar (jaxp.jar & parser.jar).
  You could also use Apache xerces 1.1.2 or later.
- removed export CLASSPATH= at build time, but you'll have to
  ensure now you have a minimal CLASSPATH (ie: xml parser jars)
- Try to use now the Linux Software Map and Redhat Map.
  exec goes /usr/bin and classes in /usr/lib/ant.
  documentation stay in /home/httpd/html/manual/ant
- Compiled on Redhat 6.1 with latest IBM JDK 1.1.8 (l118-20000515)

* Tue May 02 2000 Henri Gomez <hgomez@slib.fr>
- v0.3.1
- From jakarta/tomcat 3.1 final release. Need now to
  have a consistent version number ;-)
- Fixed classpath problem at compile time by cleaning CLASSPATH before
  build/install stages.
- Compiled on Redhat 6.1 with IBM JDK 1.1.8 (20000328)

* Thu Apr 13 2000 Henri Gomez <hgomez@slib.fr>
- v0.3.1_rc1
- Version renamed to 0.3.1_rc1 to follow Sam Ruby (rubys@us.ibm.com)
  recommandation since the next major release will be 1.0

* Wed Mar 08 2000 Henri Gomez <gomez@slib.fr>
- v3.1b1
- removed moo from ant RPM. Will be now in watchdog RPM.

* Tue Feb 29 2000 Henri Gomez <gomez@slib.fr>
- v3.1_m2rc2

* Fri Feb 25 2000 Henri Gomez <gomez@slib.fr>
- v3.1_m2rc1
- moo is no more in the tar packages, will be released
  in another RPM
- added doc package

* Fri Jan 28 2000 Henri Gomez <gomez@slib.fr>
- v3.1_m1

* Tue Jan 18 2000 Henri Gomez <gomez@slib.fr>
- first RPM of v3.1_m1_rc1

* Tue Jan  4 2000 Henri Gomez <gomez@slib.fr>
- moved from /opt/jakarta/jakarta-tools to /opt/ant

* Tue Jan  4 2000 Henri Gomez <gomez@slib.fr>
- CVS 4 Jan 2000
- added servlet.jar from tomcat in SRPM
   to allow first build of moo.

* Thu Dec 30 1999 Henri Gomez <gomez@slib.fr>
- Initial release for jakarta-tools cvs

